import { BaseController } from '@/api/BaseController';
import { RequestOption } from '@/common/http/types';
import { ANY_OBJECT } from '@/types/generic';
import { TableData } from '@/common/types/table';
import { useUrlBuilder } from '@/common/hooks/useUrl';
import TourismProjectTravelNotesWrite from '@/types/table/tourismProjectTravelNotesWrite';
import { TourismTravelNotesContentWriteData } from '@/api/generated/tourismTravelNotesContentWriteController';
import { API_CONTEXT } from '../config';

const { buildGetUrl } = useUrlBuilder();

export interface TourismProjectTravelNotesWriteData extends TourismProjectTravelNotesWrite {
  tourismTravelNotesContentWriteList?: TourismTravelNotesContentWriteData[];
  __cascade_add_temp_id__?: string | number | undefined;
}

export default class TourismProjectTravelNotesWriteController extends BaseController {
  static list(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post<TableData<TourismProjectTravelNotesWriteData>>(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/list', params, httpOptions);
  }
  static view(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.get<TourismProjectTravelNotesWriteData>(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/view', params, httpOptions);
  }
  static export(params: ANY_OBJECT, fileName: string) {
    return super.download(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/export', params, fileName);
  }
  static import(params: ANY_OBJECT) {
    return super.upload(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/import', params);
  }
  static printUrl(params: ANY_OBJECT) {
    return buildGetUrl(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/print', params);
  }
  static add(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/add', params, httpOptions);
  }
  static update(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/update', params, httpOptions);
  }
  static delete(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/delete', params, httpOptions);
  }
  static deleteBatch(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/deleteBatch', params, httpOptions);
  }
  static audit(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post(API_CONTEXT + '/app/tourismProjectTravelNotesWrite/audit', params, httpOptions);
  }
}
