import { DictData } from '@/common/staticDict/types';

interface TourOrder {
  // ID主键
  id?: number | undefined;
  // 订单号
  orderNo?: string | undefined;
  // 出发日期
  departureDate?: string | undefined;
  // 结束日期
  endDate?: string | undefined;
  // 成人数量
  adultNumber?: number | undefined;
  // 儿童数量
  childrenNumber?: number | undefined;
  // 币种
  currency?: number | undefined;
  // 订单总金额
  totalAmount?: number | undefined;
  // 房间数量
  roomNumber?: number | undefined;
  // 车辆信息
  carId?: number | undefined;
  // 车辆金额
  carAmount?: number | undefined;
  // 预定日期
  orderDate?: string | undefined;
  // 订单状态
  orderStatus?: number | undefined;
  orderStatusDictMap?: DictData,
  // 旅游项目
  projectId?: number | undefined;
  // 项目简述
  projectResume?: string | undefined;
  // 顾客姓名
  customerName?: string | undefined;
  // 顾客手机号
  customerMobile?: string | undefined;
  // 顾客微信号
  customerWechat?: string | undefined;
  // 顾客备用手机号
  customerMobileStandby?: string | undefined;
  // 创建用户
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新用户
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 总天数
  countTimes?: string | undefined;
  // 项目标题。
  projectTitle?: string | undefined;
  // 儿童价格。
  childrenPrice?: number | undefined;
  // 成人价格
  adultPrice?: number | undefined;
  // 返利金额
  rebateSumPrice?: number | undefined;
  //核销金额
  rebatePrice?: number | undefined;
  //团购id
  groupPurchaseProgressId: number | undefined;
  //订单的类型(0.普通订单;1.拼团的订单)
  type: number | undefined;
}

export default TourOrder;
