import { DictData } from '@/common/staticDict/types';

interface DeliveryOrder {
  // 主键
  id?: number | undefined;
  // 配送时间
  deliveryTime?: string | undefined;
  // 配送地址
  deliveryAddress?: string | undefined;
  // 收货电话
  deliveryPhone?: string | undefined;
  // 备注
  deliveryRemark?: string | undefined;
  // 餐具数量
  tableware?: number | undefined;
  // 订单号
  orderNo?: string | undefined;
  // 下单时间
  orderTime?: string | undefined;
  // 支付方式
  payType?: number | undefined;
  payTypeDictMap?: DictData,
  // 订单金额
  orderAmount?: number | undefined;
  // 实付金额
  payAmount?: number | undefined;
  // 订单状态
  orderStatus?: number | undefined;
  orderStatusDictMap?: DictData,
  // 用户id
  customerId?: number | undefined;
  // 退款状态
  refundStatus?: number | undefined;
  refundStatusDictMap?: DictData,
  // 打包费
  packCharge?: number | undefined;
  // 配送费
  deliveryFee?: number | undefined;
  // 创建用户
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新用户
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 店铺名称
  shopName?: string | undefined;
}

export default DeliveryOrder;
