import { DictData } from '@/common/staticDict/types';

interface JobProject {
  // 主键id
  id?: number | undefined;
  // 出国劳务标题
  jobTitle?: string | undefined;
  // 标签
  jobLabel?: string | undefined;
  // 所属分类
  belongTab?: number | undefined;
  belongTabDictMap?: DictData,
  // 工作国家或地区
  jobArea?: string | undefined;
  // 招聘人数
  jobPeople?: number | undefined;
  // 学历要求
  jobEducation?: string | undefined;
  // 语言要求
  jobLanguage?: string | undefined;
  // 合同期限
  jobContract?: string | undefined;
  // 截至日期
  jobDeadline?: string | undefined;
  // 岗位要求
  jobRequire?: string | undefined;
  // 福利待遇
  jobWelfare?: string | undefined;
  // 工作时间
  jobTime?: string | undefined;
  // 招聘岗位
  jobPost?: string | undefined;
  // 项目优势
  jobAdvantage?: string | undefined;
  // 劳务图片
  jobUrl?: string | undefined;
  // 是否热点
  isHotspot?: number | undefined;
  isHotspotDictMap?: DictData,
  // 显示顺序
  showOrder?: number | undefined;
  // 是否启用
  enable?: number | undefined;
  enableDictMap?: DictData,
  // 出国劳务简述
  remarks?: string | undefined;
  // 创建用户
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新用户
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 工资上限
  salaryCap?: number | undefined;
  // 工资下限
  salaryFloor?: number | undefined;
  // 工资单位
  salaryUnit?: string | undefined;
  // 城市(二级)
  city?: string | undefined;
  // 详细地址
  address?: string | undefined;
  // 浏览量
  pageViewCount?: number | undefined;
  // 招聘部门
  dept?: string | undefined;
  // 性别要求(1:男 2:女 3:不限)
  sex?: string | undefined;
  sexDictMap?: DictData,
  // 年龄上限
  ageCap?: number | undefined;
  // 年龄下限
  ageFloor?: number | undefined;
  // 收藏量
  favouriteCount?: number | undefined;
  // 是否急聘(0:否 1:是)
  isUrgent?: number | undefined;
  isUrgentDictMap?: DictData,
  // 上传的联系二维码
  contactCode?: string | undefined;
}

export default JobProject;
