import { DictData } from '@/common/staticDict/types';

interface RestaurantInfo {
  // 主键id
  id?: number | undefined;
  // 店铺名称
  name?: string | undefined;
  // 店铺标签
  tag?: string | undefined;
  // 店铺种类
  typeId?: string | undefined;
  typeIdDictMap?: DictData,
  // 店铺公告
  announcement?: string | undefined;
  // 工作时间段(例:8:00-19:00)
  workTime?: string | undefined;
  // 店铺地址
  adress?: string | undefined;
  // 是否启用，0禁用，1启用
  enable?: number | undefined;
  enableDictMap?: DictData,
  // 店铺图片
  url?: string | undefined;
  // 店铺环境图片
  environmentImage?: string | undefined;
  // 联系方式
  contactInformation?: string | undefined;
  // 经度
  longitude?: number | undefined;
  // 纬度
  latitude?: number | undefined;
  // 销量
  totalSales?: number | undefined;
  // 所处国家
  contry?: string | undefined;
  // 创建用户
  createUserId?: number | undefined;
  // 所处城市
  city?: string | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新用户
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 用户所在部门Id
  deptId?: number | undefined;
  deptIdDictMap?: DictData,
  // 配送费
  deliveryCharge?: number | undefined;
  // 最低消费
  minCharge?: number | undefined;
  // 精选好店 标记 1是 2 不是
  isSelectShop?: number | undefined;
  isSelectShopDictMap?: DictData,
  // 推荐店铺 标记 1是 2 不是
  isRecommendedShop?: number | undefined;
  isRecommendedShopDictMap?: DictData,
  // 美味店铺标记  1是 2不是
  isDeliciousShop?: number | undefined;
  isDeliciousShopDictMap?: DictData,
  // 优选新店 标记 1是 2 不是
  isBestNewShop?: number | undefined;
  isBestNewShopDictMap?: DictData,
  // banner图
  restaurantBanner?: String | undefined;
}

export default RestaurantInfo;
