import { DictData } from '@/common/staticDict/types';

interface TourCarCategory {
  // id
  id?: number | undefined;
  // 车型种类
  model?: number | undefined;
  modelDictMap?: DictData,
  // 标题
  title?: string | undefined;
  // 车名
  name?: string | undefined;
  // 包车价格
  price?: number | undefined;
  // 单位
  unit?: string | undefined;
  // 座位数
  seatNumber?: number | undefined;
  // 图片
  image?: string | undefined;
  // 车型归属(1.平台自营;2.三方个人)
  type?: number | undefined;
  typeDictMap?: DictData,
  // 关联司机(若车型归属为2，则必填)
  relationDriverId?: number | undefined;
  // 车型标签(以 ,隔开)
  label?: string | undefined;
  // 创建用户
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新用户
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 评分
  mark?: number | undefined;
  // 组织id
  deptId?: number | undefined;
  deptIdDictMap?: DictData,
  // 是否启用
  enable?: number | undefined;
  enableDictMap?: DictData,
  // 热度值
  hotValue?: number | undefined;
  // 所属区域
  belongTab?: number | undefined;
  belongTabDictMap?: DictData,
  // 行李数
  luggageNumber?: number | undefined;
}

export default TourCarCategory;
