import { DictData } from '@/common/staticDict/types';

interface TourCarOrder {
  // id
  id?: number | undefined;
  // 订单号
  orderNo?: string | undefined;
  // 包车车型id
  categoryId?: number | undefined;
  categoryIdDictMap?: DictData,
  // 司机id
  driverId?: number | undefined;
  // 开始时间
  startTime?: string | undefined;
  // 结束时间
  endTime?: string | undefined;
  // 包车天数
  days?: number | undefined;
  // 起点
  startPlaceId?: number | undefined;
  startPlaceIdDictMap?: DictData,
  // 联系电话
  connectPhone?: string | undefined;
  // 联系姓名
  connectName?: string | undefined;
  // 联系人性别
  connectSex?: number | undefined;
  connectSexDictMap?: DictData,
  // 备注
  remark?: string | undefined;
  // 订单状态(1.已下单;2.已取消;3. 已完成)
  state?: number | undefined;
  stateDictMap?: DictData,
  // 创建用户
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新用户
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 车型评分
  categoryMark?: number | undefined;
  // 司机评分
  driveMark?: number | undefined;
  // 乘车人微信
  connectWechat?: string | undefined;
  // 司机名称
  driverName?: string | undefined;
  // 司机性别
  driverSex?: number | undefined;
  driverSexDictMap?: DictData,
  // 司机年龄
  driverAge?: number | undefined;
  // 司机驾龄
  drivingYears?: number | undefined;
  // 司机联系方式
  driverMobile?: string | undefined;
  // 司机照片
  driverImage?: string | undefined;
  // 车型种类
  carModel?: number | undefined;
  carModelDictMap?: DictData,
  // 车型车名
  carName?: string | undefined;
  // 车型座位数
  carSeatNumber?: number | undefined;
  // 车型行李数
  carLuggageNumber?: number | undefined;
  // 车型照片
  carImage?: string | undefined;
  // 包车每天的价格
  dayPrice?: number | undefined;
  // 包车每天的单位
  dayPriceUnit?: string | undefined;
  // 订单总价格
  totalPrice?: number | undefined;
  // 订单总价格的单位
  totalPriceUnit?: number | undefined;
  // 车型归属(1.平台自营;2.三方个人)
  categoryType?: number | undefined;
  categoryTypeDictMap?: DictData,
  // 是否已打分(0.未打分;1.已打分)
  marking?: number | undefined;
  markingDictMap?: DictData,
  // 车主用户id
  driverSysId?: number | undefined;
  // 车主部门id
  driverDeptId?: number | undefined;
}

export default TourCarOrder;
