import { DictData } from '@/common/staticDict/types';

interface TourHouseAdvisorInfo {
  // 主键
  id?: number | undefined;
  // 所属开发商
  developersId?: number | undefined;
  developersIdDictMap?: DictData,
  // 顾问类型 0.顾问 1.房东
  type?: number | undefined;
  typeDictMap?: DictData,
  // 姓名
  name?: string | undefined;
  // 行业经验年限
  experienceAge?: number | undefined;
  // 成功交房数量
  successfulDeliveryCount?: number | undefined;
  // 是否金牌顾问 0不是 1是
  isGoldAdvisor?: number | undefined;
  isGoldAdvisorDictMap?: DictData,
  // 头像url
  avatarUrl?: string | undefined;
  // 备案编号
  recordNumber?: string | undefined;
  // 公司名称
  companyName?: string | undefined;
  // 二维码
  code?: string | undefined;
  // 是否启用，0禁用，1启用
  enable?: number | undefined;
  enableDictMap?: DictData,
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 手机号
  mobile?: string | undefined;
  // 创建人
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 修改人
  updateUserId?: number | undefined;
  // 修改时间
  updateTime?: string | undefined;
}

export default TourHouseAdvisorInfo;
