import { DictData } from '@/common/staticDict/types';

interface TourHouseRentInfo {
  // 主键
  id?: number | undefined;
  // 所属地区类型
  areaId?: number | undefined;
  areaIdDictMap?: DictData,
  // 顾问id
  advisorId?: number | undefined;
  advisorIdDictMap?: DictData,
  // 租赁方式 0整租 1合租 2个人房源 3短租
  rentType?: number | undefined;
  rentTypeDictMap?: DictData,
  // 厅室类型
  officeType?: number | undefined;
  officeTypeDictMap?: DictData,
  // 租金
  rentPrice?: number | undefined;
  // 面积
  area?: number | undefined;
  // 房屋类型 别墅、公寓...
  houseType?: number | undefined;
  houseTypeDictMap?: DictData,
  // 租金类型(0无租金;1押一付一;2押一付二;3押一付三....)
  rentKind?: number | undefined;
  rentKindDictMap?: DictData,
  // 朝向类型
  orientation?: number | undefined;
  orientationDictMap?: DictData,
  // 所在楼层
  currentFloor?: number | undefined;
  // 装修类型
  decoration?: number | undefined;
  decorationDictMap?: DictData,
  // 楼盘名称/所属小区
  communityName?: string | undefined;
  // 地址
  address?: string | undefined;
  // 货币单位
  currency?: string | undefined;
  // 所属区域
  region?: string | undefined;
  // 首页封面图
  coverUrl?: string | undefined;
  // 房屋标题
  houseTitle?: string | undefined;
  // 总楼层
  totalFloor?: number | undefined;
  // 二维码
  code?: string | undefined;
  // 联系电话
  mobile?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 创建人
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 备注
  remark?: string | undefined;
  // 修改人
  updateUserId?: number | undefined;
  // 修改时间
  updateTime?: string | undefined;
  // 排序顺序
  showOrder?: number | undefined;
  // 租房状态(0:未租出;1:已租出)
  rentState?: number | undefined;
  rentStateDictMap?: DictData,
  // 楼层类型(1:低楼层;2:中楼层;3:高楼层)
  floorType?: number | undefined;
  floorTypeDictMap?: DictData,
  // 是否热推房源
  isHotPush?: number | undefined;
  isHotPushDictMap?: DictData,
}

export default TourHouseRentInfo;
