import { DictData } from '@/common/staticDict/types';

interface TourImMember {
  // id
  id?: number | undefined;
  // 聊天群组id
  groupId?: number | undefined;
  groupIdDictMap?: DictData,
  // 成员角色 1群主 2管理员 3普通成员
  groupRole?: number | undefined;
  groupRoleDictMap?: DictData,
  // 用户id
  userId?: number | undefined;
  userIdDictMap?: DictData,
  // 会话是否显示(每个群在聊天列表要不要展示) 0不显示 1显示
  isShow?: number | undefined;
  isShowDictMap?: DictData,
  // 会话是否置顶 (每个群在聊天列表要不要置顶)  0不置顶 1 置顶
  isTop?: number | undefined;
  isTopDictMap?: DictData,
  // 会话是否开启免打扰 0不开启免打扰 1 开启免打扰
  isNotDisturb?: number | undefined;
  isNotDisturbDictMap?: DictData,
  // 自己在群里的昵称
  groupNickname?: string | undefined;
  // 群备注
  groupRemark?: string | undefined;
  // 删除标记 1正常 -1删除
  dataState?: number | undefined;
  // 聊天背景
  groupBackImage?: string | undefined;
  // 创建人id
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 更新人id
  updateUserId?: number | undefined;
}

export default TourImMember;
