import { DictData } from '@/common/staticDict/types';

interface TourImMessage {
  // id
  id?: number | undefined;
  // 消息内容
  messageContent?: string | undefined;
  // 消息类型 0文字 1文件 2系统消息
  messageType?: number | undefined;
  messageTypeDictMap?: DictData,
  // 聊天群组id
  groupId?: number | undefined;
  groupIdDictMap?: DictData,
  // 通知消息类型 1.单聊消息 2 群聊消息 3系统消息 4关注信息 5点赞 6评论 7评论区艾特 8文章内艾特 9访问
  noticeType?: number | undefined;
  noticeTypeDictMap?: DictData,
  // 消息置顶/公告 0不置顶 1置顶
  isTop?: number | undefined;
  isTopDictMap?: DictData,
  // 撤回标记 0不撤回 1撤回
  revocationTag?: number | undefined;
  revocationTagDictMap?: DictData,
  // 已经删除该条消息的用户
  deletedByUsers?: string | undefined;
  // 已读该条消息的用户
  readByUsers?: string | undefined;
  // 删除标记 1正常 -1删除
  dataState?: number | undefined;
  // 创建人id
  createUserId?: number | undefined;
  createUserIdDictMap?: DictData,
  // 创建时间
  createTime?: string | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 更新人id
  updateUserId?: number | undefined;
}

export default TourImMessage;
