import { DictData } from '@/common/staticDict/types';

interface TourProjectGroupPurchase {
  // 主键id
  id?: number | undefined;
  // 项目id
  projectId?: number | undefined;
  projectIdDictMap?: DictData,
  // 拼团结束时间
  endTime?: string | undefined;
  // 出行开始时间
  travelStartTime?: string | undefined;
  // 出行结束时间
  travelEndTime?: string | undefined;
  // 拼团状态(0禁用，1启用)
  state?: number | undefined;
  stateDictMap?: DictData,
  // 创建用户
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新用户
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 拼团人数上限
  maxCount?: number | undefined;
  // 成人价格
  adultPrice?: number | undefined;
  // 儿童价格
  childrenPrice?: number | undefined;
  // 显示顺序
  showOrder?: number | undefined;
  // 关联字段(与从表)
  code?: number | undefined;
  // 当前拼团的人数
  nowCount?: number | undefined;
  // 拼团是否成功(0.失败;1.成功)
  success?: number | undefined;
  successDictMap?: DictData,
  // 拼团标题
  title?: string | undefined;
  // 图片url
  image?: string | undefined;
  // 价格单位
  priceUnit?: string | undefined;
  // 返利价格/人
  singleRebate?: number | undefined;
}

export default TourProjectGroupPurchase;
