import { DictData } from '@/common/staticDict/types';

interface TourVisa {
  // 签证id
  id?: number | undefined;
  idDictMap?: DictData,
  // 图片地址
  img?: string | undefined;
  // 名称
  visaTitle?: string | undefined;
  // 类型id
  visaTypeId?: number | undefined;
  visaTypeIdDictMap?: DictData,
  // 国家编码
  countryCodeId?: string | undefined;
  countryCodeIdDictMap?: DictData,
  // 使馆名称
  embassyName?: string | undefined;
  // 使馆地址
  embassyAddress?: string | undefined;
  // 是否面签 0 是 1否
  interviewFlag?: number | undefined;
  interviewFlagDictMap?: DictData,
  // 有效期（日）
  validity?: number | undefined;
  // 停留天数
  idleDays?: number | undefined;
  // 预计办理天数
  processingDays?: number | undefined;
  // 预计价格
  floorPrice?: number | undefined;
  // 受理范围
  acceptanceRange?: string | undefined;
  // 入境次数
  entriesNum?: number | undefined;
  // 预定须知
  dataText?: string | undefined;
  // 出签地编码
  issueVisaCode?: number | undefined;
  issueVisaCodeDictMap?: DictData,
  // 逻辑删除 1正常 -1已删除
  deleteFlag?: number | undefined;
  // 创建人id
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新人id
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 负责顾问
  counselorId?: number | undefined;
  counselorIdDictMap?: DictData,
  // 热门数据
  hotValue?: number | undefined;
  hotValueDictMap?: DictData,
}

export default TourVisa;
