import { DictData } from '@/common/staticDict/types';

interface TourismProject {
  // 主键id
  id?: number | undefined;
  // 项目标题
  projectTitle?: string | undefined;
  // 项目简述
  remarks?: string | undefined;
  // 是否热点
  isHotspot?: number | undefined;
  isHotspotDictMap?: DictData,
  // 标签
  projectLabel?: string | undefined;
  // 显示顺序
  showOrder?: number | undefined;
  // 是否启用
  enable?: number | undefined;
  enableDictMap?: DictData,
  // 所属分类
  belongTab?: number | undefined;
  belongTabDictMap?: DictData,
  // 出发地
  startPlace?: string | undefined;
  // 目的地
  endPlace?: string | undefined;
  // 总天数
  countTimes?: string | undefined;
  // 项目价格
  price?: number | undefined;
  // 项目展示图片
  tourismUrl?: string | undefined;
  // 创建用户
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新用户
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 价格单位
  priceUnit?: string | undefined;
  // 服务保障
  serviceEnsure?: string | undefined;
  // 联系电话
  contactNumber?: string | undefined;
  // 产品卖点
  sellingPoint?: string | undefined;
  // 短标题
  shortTitle?: string | undefined;
  // 短描述
  shortDescription?: string | undefined;
  // 首页热门图片
  homeHotPicture?: string | undefined;
  // 联系人描述
  contactDescription?: string | undefined;
  // 游记banner
  travelNotesBanner?: string | undefined;
  // 点赞量
  likeCount?: number | undefined;
  // 浏览量
  pageViewCount?: number | undefined;
  // 人物关系
  role?: string | undefined;
  // 出发时间
  departureTime?: string | undefined;
  // 人均费用
  averageCost?: string | undefined;
  // 推荐指数
  recommendationRate?: number | undefined;
  // 上传的联系二维码
  contactCode?: string | undefined;
  // // 是否优质推荐
  // isQualityRecommendation?: number | undefined;
  // isQualityRecommendationDictMap?: DictData,
  // 是否精选目的地 1是 2不是
  isWinnowDestination?: number | undefined;
  isWinnowDestinationDictMap?: DictData,
}

export default TourismProject;
