import { DictData } from '@/common/staticDict/types';

interface TourismProjectTravelNotesWrite {
  // 主键id
  id?: number | undefined;
  // 项目标题
  projectTitle?: string | undefined;
  // 出发时间
  departureTime?: string | undefined;
  // 总天数
  countTimes?: string | undefined;
  // 人物关系
  role?: string | undefined;
  // 推荐指数
  recommendationRate?: number | undefined;
  // 人均费用
  averageCost?: string | undefined;
  // 审核状态(0,草稿;1,待审核;2,审核通过3,审核不通过;)
  state?: number | undefined;
  stateDictMap?: DictData;
  // 审核不通过的原因
  reason?: string | undefined;
  // 创建用户
  createUserId?: number | undefined;
  // 发布游记的banner图
  travelNotesBannerUrl?: string | undefined;
  // 发布游记的banner图
  travelNotesBanner?: string | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 更新用户
  updateUserId?: number | undefined;
  // 更新时间
  updateTime?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 游记内容中的图片
  tourismTavelNotesUrl?: string | undefined;
  // 上下架状态(0,下架;1,上架)
  unmountState?: number | undefined;
  unmountStateDictMap?: DictData;
  // 项目展示图片
  tourismUrl?: string | undefined;
  // 项目简述
  remarks?: string | undefined;
  // 是否热点，0非热点，1热点
  isHotspot?: number | undefined;
  isHotspotDictMap?: DictData;
  // 标签
  noteLabel?: string | undefined;
  // 点赞数
  likeCount?: number | undefined;
  // 浏览量
  pageViewCount?: number | undefined;
  // 热度值
  hotValue?: number | undefined;
  // 是否原创(0:非原创;1:原创)
  isOriginal?: number | undefined;
  isOriginalDictMap?: DictData;
  // 目的地
  endPlace?: number | undefined;
  endPlaceDictMap?: DictData;
  // 自动审核结果1：通过，2未通过
  autoAuditStatus?: number | undefined;
  autoAuditStatusDictMap?: DictData,
  // 自动审核未通过原因
  autoRejectReason?: string | undefined;
  // 出行方式
  travelMode?: number | undefined;
  travelModeDictMap?: DictData,

  //
  travelNotesContent?: Array;
  // 游玩人数
  travelNumber?: string | undefined;
  // 提及的话题
  tourTravelNotesTopicRelationName?: string | undefined;
  //游记中的图片
  imgUrls?: Array;
}

export default TourismProjectTravelNotesWrite;
