import { DictData } from '@/common/staticDict/types';

interface TourHouseSaleInfo {
  // 主键
  id?: number | undefined;
  // 所属地区类型
  areaId?: number | undefined;
  // 是否房东自售 0不是 1是
  isSaleByLandlord?: number | undefined;
  isSaleByLandlordDictMap?: DictData,
  // 房源类型 0新房 1二手房
  houseSourceType?: number | undefined;
  houseSourceTypeDictMap?: DictData,
  // 总价
  totalPrice?: number | undefined;
  // 厅室类型
  officeType?: number | undefined;
  // 面积
  area?: number | undefined;
  // 房屋类型 别墅、公寓...
  houseType?: number | undefined;
  // 朝向类型
  orientation?: number | undefined;
  // 所在楼层
  currentFloor?: number | undefined;
  // 装修类型
  decoration?: number | undefined;
  // 房龄
  houseAge?: number | undefined;
  // 楼盘名称/所属小区
  communityName?: string | undefined;
  // 地址
  address?: string | undefined;
  // 均价
  averagePrice?: number | undefined;
  // 货币单位
  currency?: string | undefined;
  // 所属区域
  region?: string | undefined;
  // 首页封面图
  coverUrl?: string | undefined;
  // 是否在售 0待售 1在售
  isOnSale?: number | undefined;
  isOnSaleDictMap?: DictData,
  // 房屋标题
  houseTitle?: string | undefined;
  // 总楼层
  totalFloor?: number | undefined;
  // 建造年份
  yearOfBuild?: string | undefined;
  // 房屋标签
  tag?: string | undefined;
  // 竣工年份
  yearOfFinish?: string | undefined;
  // 开发商id
  developersId?: number | undefined;
  developersIdDictMap?: DictData,
  // 二维码
  code?: string | undefined;
  // 联系电话
  mobile?: string | undefined;
  // 产权性质
  propertyRightNature?: string | undefined;
  // 产权年限
  termOfOwnership?: string | undefined;
  // 物业类型
  propertyType?: string | undefined;
  // 房本年限
  housePrincipalLife?: string | undefined;
  // 是否唯一住房 0是 1不是
  isSoleDwelling?: number | undefined;
  isSoleDwellingDictMap?: DictData,
  // 发布公司
  publishingCompany?: string | undefined;
  // 营业执照
  businessLicense?: string | undefined;
  // 发布日期
  releaseDate?: string | undefined;
  // 开盘时间
  openingTime?: string | undefined;
  // 交房时间
  handingTime?: string | undefined;
  // 周边配套描述
  surroundingSupport?: string | undefined;
  // 小区介绍
  plotIntroduction?: string | undefined;
  // 删除标记(1: 正常 -1: 已删除)
  dataState?: number | undefined;
  // 热度值
  hotValue?: number | undefined;
  // 创建人
  createUserId?: number | undefined;
  // 创建时间
  createTime?: string | undefined;
  // 修改人
  updateUserId?: number | undefined;
  // 修改时间
  updateTime?: string | undefined;
  // 顾问id
  advisorIds?: number | undefined;
}

export default TourHouseSaleInfo;
